Skip to main content
GET
/
simple
/
token_price
/
{id}
Coin Price by Token Addresses
curl --request GET \
  --url https://api.coingecko.com/api/v3/simple/token_price/{id} \
  --header 'x-cg-demo-api-key: <api-key>'
{
  "0x2260fac5e5542a773aa44fbcfedf7c193bc2c599": {
    "usd": 76721,
    "usd_market_cap": 9008047197.715635,
    "usd_24h_vol": 181232010.10689816,
    "usd_24h_change": -1.6069562341774564,
    "last_updated_at": 1779094527
  }
}

Notes

  • Returns the global average price aggregated across all active exchanges on CoinGecko.
  • Find a token’s contract address on its CoinGecko page or via Coins List with include_platform=true.
  • Maximum of 515 contract addresses per request.
Cross-check prices on CoinGecko and learn about the price methodology.

SDK Examples

const response = await client.simple.tokenPrice.getID('ethereum', {
  contract_addresses: '0x2260fac5e5542a773aa44fbcfedf7c193bc2c599',
  vs_currencies: 'usd',
});

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Path Parameters

id
string
default:ethereum
required

Asset platform's ID. *refers to /asset_platforms

Query Parameters

contract_addresses
string
default:0x2260fac5e5542a773aa44fbcfedf7c193bc2c599
required

Token contract addresses, comma-separated if querying more than 1 token

vs_currencies
string
default:usd
required

Target currency of coins, comma-separated if querying more than 1 currency. *refers to /simple/supported_vs_currencies

include_market_cap
boolean

Include market capitalization. Default: false

include_24hr_vol
boolean

Include 24-hour trading volume. Default: false

include_24hr_change
boolean

Include 24-hour change percentage. Default: false

include_last_updated_at
boolean

Include last updated price time as a UNIX timestamp. Default: false

precision
enum<string>

Decimal places for currency price value

Available options:
full,
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18

Response

200 - application/json

Token prices

{key}
object